%{?mingw_package_header}

Name:           mingw-zlib
Version:        1.2.13
Release:        %mkrel 1
Summary:        MinGW Windows zlib compression library

License:        zlib
Group:          Development/Other
URL:            https://www.zlib.net/
Source0:        https://www.zlib.net/zlib-%{version}.tar.xz
# Use UNIX naming convention for libraries
Patch0:         mingw-zlib-cmake.patch

BuildArch:      noarch

BuildRequires:  cmake
BuildRequires:  make

BuildRequires:  mingw32-filesystem >= 95
BuildRequires:  mingw32-gcc

BuildRequires:  mingw64-filesystem >= 95
BuildRequires:  mingw64-gcc


%description
MinGW Windows zlib compression library.


# Win32
%package -n mingw32-zlib
Summary:        MinGW Windows zlib compression library for the win32 target

%description -n mingw32-zlib
MinGW Windows zlib compression library for the win32 target.


%package -n mingw32-zlib-static
Summary:        Static libraries for mingw32-zlib development
Requires:       mingw32-zlib = %{version}-%{release}

%description -n mingw32-zlib-static
The mingw32-zlib-static package contains static library for mingw32-zlib development.


# Win64
%package -n mingw64-zlib
Summary:        MinGW Windows zlib compression library for the win64 target

%description -n mingw64-zlib
MinGW Windows zlib compression library for the win64 target.

%package -n mingw64-zlib-static
Summary:        Static libraries for mingw64-zlib development
Requires:       mingw64-zlib = %{version}-%{release}

%description -n mingw64-zlib-static
The mingw64-zlib-static package contains static library for mingw64-zlib development.


%{?mingw_debug_package}


%prep
%autosetup -p1 -n zlib-%{version}


%build
MINGW32_CMAKE_ARGS=-DINSTALL_PKGCONFIG_DIR=%{mingw32_libdir}/pkgconfig \
MINGW64_CMAKE_ARGS=-DINSTALL_PKGCONFIG_DIR=%{mingw64_libdir}/pkgconfig \
%mingw_cmake
%mingw_make_build
%mingw_make_build


%install
%mingw_make_install

# Drop the man pages
rm -rf %{buildroot}%{mingw32_mandir}
rm -rf %{buildroot}%{mingw64_mandir}


# Win32
%files -n mingw32-zlib
%{mingw32_includedir}/zconf.h
%{mingw32_includedir}/zlib.h
%{mingw32_libdir}/libz.dll.a
%{mingw32_bindir}/zlib1.dll
%{mingw32_libdir}/pkgconfig/zlib.pc

%files -n mingw32-zlib-static
%{mingw32_libdir}/libz.a

# Win64
%files -n mingw64-zlib
%{mingw64_includedir}/zconf.h
%{mingw64_includedir}/zlib.h
%{mingw64_libdir}/libz.dll.a
%{mingw64_bindir}/zlib1.dll
%{mingw64_libdir}/pkgconfig/zlib.pc

%files -n mingw64-zlib-static
%{mingw64_libdir}/libz.a




%changelog
* Wed Dec 14 2022 tv <tv> 1.2.13-1.mga9
+ Revision: 1922041
- Update to 1.2.13

* Thu Jun 30 2022 tv <tv> 1.2.12-5.mga9
+ Revision: 1866781
- Update to 1.2.12

* Sun May 01 2022 tv <tv> 1.2.11-5.mga9
+ Revision: 1855295
- Drop minizip patch remanent
- Drop minizip subpackages, should be a separate package

* Wed Mar 23 2022 umeabot <umeabot> 1.2.11-3.mga9
+ Revision: 1821841
- Mageia 9 Mass Rebuild

* Sun Feb 16 2020 umeabot <umeabot> 1.2.11-2.mga8
+ Revision: 1530478
- Mageia 8 Mass Rebuild

* Thu Aug 29 2019 daviddavid <daviddavid> 1.2.11-1.mga8
+ Revision: 1434972
- new version: 1.2.11

* Wed Sep 19 2018 umeabot <umeabot> 1.2.8-6.mga7
+ Revision: 1264445
- Mageia 7 Mass Rebuild

* Tue Feb 02 2016 umeabot <umeabot> 1.2.8-5.mga6
+ Revision: 931109
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.2.8-4.mga5
+ Revision: 747309
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.2.8-3.mga5
+ Revision: 682519
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.2.8-2.mga4
+ Revision: 536101
- Mageia 4 Mass Rebuild

* Sun Sep 22 2013 neoclust <neoclust> 1.2.8-1.mga4
+ Revision: 483334
- imported package mingw-zlib

